@echo off
@cls
cd \RE9230.A12
@echo off
echo.

echo.
echo **** RE92302 BIOS Burn & Test Manufacture Disk Version 1.2 2016/04/29 ****
echo ------------------------------------------------------------------------------
echo.
echo.
echo.
echo Start to Erasing & Burning SPI Flash...
PAUSE
cd \RE9230.A12\RE9230.P12\firmware\cpuahci
echo Erasing Flash Now
CALL GO -w -y
echo.
cd \RE9230.A12\RE9230.P12\firmware\cpuahci
echo BIOS Burning Now 
echo.
echo ****************************
echo **BIOS Version 1.0.0.1024 **
echo ****************************
echo. 
CALL GO -y
cd \RE9230.A12\RE9230.P12
echo.
COMPVDO chkpe.dat < key.dat
IF ERRORLEVEL 1 GOTO ERR
IF ERRORLEVEL 0 GOTO BPASS

:BPASS
goto end


:ERR
@cls
call fail.bat
goto end

:end
echo Finish !
